### Hierarchy

- ShutdownServerClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorStop
- options_

### Methods

- stop

## Constructors

### constructor

- new ShutdownServerClient(hostname: string, credentials?: null | {}, options?: null | {}): ShutdownServerClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2557

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns ShutdownServerClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:2552

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2554

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:2553

### methodDescriptorStop

methodDescriptorStop: MethodDescriptor < StopRequest , StopReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:2570

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:2555

## Methods

### stop

- stop(request: StopRequest, metadata: null | Metadata ): Promise< StopReply >
- stop(request: StopRequest, metadata: null | Metadata, callback: (err: RpcError, response: StopReply ) => void): ClientReadableStream < StopReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2581

  #### Parameters

  - ##### request: StopRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< StopReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:2585

  #### Parameters

  - ##### request: StopRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: StopReply ) => void

    - - (err: RpcError, response: StopReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: StopReply

        #### Returns void

  #### Returns ClientReadableStream < StopReply >

Generated using TypeDoc